Page MenuHomePhabricator

Remove DWARFDIECollection
ClosedPublic

Authored by zturner on Mar 8 2019, 4:41 PM.

Details

Summary
This is a very thin wrapper over a std::vector<DWARFDIE> and does
not seem to provide any real value over just using a container
directly.

Diff Detail

Repository
rLLDB LLDB

Event Timeline

zturner created this revision.Mar 8 2019, 4:41 PM

Whenever I see a GetFooAtIndex() method I expect this to be exposed via the SBAPI, but I assume this isn't the case here?

labath accepted this revision.Mar 11 2019, 1:46 AM

LGTM. I think we should eventually get rid of all the stl-container-wrapper classes. (Apart from the SB ones, or course.)

This revision is now accepted and ready to land.Mar 11 2019, 1:46 AM
clayborg accepted this revision.Mar 11 2019, 10:13 AM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptMar 12 2019, 1:51 PM